
From: Trond Myklebust <Trond.Myklebust@netapp.com>

Signed-off-by: Trond Myklebust <Trond.Myklebust@netapp.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/locks.c |    9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)

diff -puN fs/locks.c~nfs-fix_vfsflock fs/locks.c
--- 25/fs/locks.c~nfs-fix_vfsflock	2005-01-16 01:09:16.440567360 -0800
+++ 25-akpm/fs/locks.c	2005-01-16 01:09:16.445566600 -0800
@@ -1876,8 +1876,13 @@ void locks_remove_flock(struct file *fil
 		return;
 
 	if (filp->f_op && filp->f_op->flock) {
-		struct file_lock fl = { .fl_flags = FL_FLOCK,
-					.fl_type = F_UNLCK };
+		struct file_lock fl = {
+			.fl_pid = current->tgid,
+			.fl_file = filp,
+			.fl_flags = FL_FLOCK,
+			.fl_type = F_UNLCK,
+			.fl_end = OFFSET_MAX,
+		};
 		filp->f_op->flock(filp, F_SETLKW, &fl);
 	}
 
_
